NewWacht Bench is live — AI-assisted development for Wacht
GET
/ai/knowledge-bases

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Query Parameters

limit?integer
offset?integer
search?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/knowledge-bases"
{  "data": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "name": "string",      "description": "string",      "deployment_id": "string",      "configuration": null,      "documents_count": 0,      "total_size": 0    }  ],  "has_more": true}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}